package com.th.demo.service.impl.ware;


import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.th.demo.mapping.ware.DeficitRecordMapper;

import com.th.demo.model.system.Type;
import com.th.demo.model.ware.*;
import com.th.demo.service.ware.DeficitRecordService;

import com.th.demo.tools.JSONTools;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


import java.util.Date;
import java.util.List;


@Service("DeficitRecordService")
public class DeficitRecordServiceImpl implements DeficitRecordService {

    @Autowired
    public DeficitRecordMapper deficitRecordMapper;

    String result = Type.FAIL;
    int num = 0;

    @Override
    public String query(int page, int rows, String wareName, String stackName, String model, String materialName, String standard, String customerName, String plateNo, Date fromDate, Date toDate, String userId, String belongId) {
        PageHelper.startPage(page, rows);
        List<DeficitRecord> list=deficitRecordMapper.select(wareName,stackName,model,materialName,standard,  customerName,
                plateNo,fromDate,toDate, userId, belongId);
        PageInfo<DeficitRecord> pageInfo = new PageInfo<>(list);
        result = JSONTools.toString(pageInfo);
        return result;
    }

    @Override
    public String queryTotal(int page, int rows, String wareName, String stackName, String model, String materialName, String standard, String customerName, String plateNo, Date fromDate, Date toDate, String userId, String belongId) {
        List<DeficitRecord> list=deficitRecordMapper.selectTotal(wareName,stackName,model,materialName,standard,  customerName,
                plateNo,fromDate,toDate, userId, belongId);
        result = JSONTools.toString(list);
        return result;
    }
}
